Appearance
DID Parameter: transformKeys
A request for a DID URL with this parameter that will transform the verification methods in the DID document to the requested format:
did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?transformKeys=JsonWebKey2020
bash
curl -X GET "https://api.godiddy.com/1.0.0/universal-resolver/identifiers/did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?transformKeys=JsonWebKey2020" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Accept: application/did"1
2
3
2
3
Similar to the previous example, but adding a fragment #verkey to the DID URL:
did:indy:sovrin:Uarrb25Y6v2jhLCJyqTKE7?transformKeys=JsonWebKey2020#verkey
bash
curl -X GET "https://api.godiddy.com/1.0.0/universal-resolver/identifiers/did%3Aindy%3Asovrin%3AUarrb25Y6v2jhLCJyqTKE7%3FtransformKeys%3DJsonWebKey2020%23verkey" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Accept: application/did"1
2
3
2
3
Another example of a DID URL with this parameter that will transform the verification methods in the DID document to the requested format:
did:ebsi:zwkqocXfSsfokNFcrSng8cM?transformKeys=jwks
bash
curl -X GET "https://api.godiddy.com/1.0.0/universal-resolver/identifiers/did:ebsi:zeq8HUiJfnbvEKyum5XYscv?transformKeys=jwks" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Accept: application/jwk-set+json"1
2
3
2
3
Note that the transformKeys parameter is supported for all DID methods, and the format and meaning of its values are independent of the DID method.
TIP
See the transformKeys specification for additional information about this parameter.